#include <cstdlib>
#include <testlib/testlib.h>

#include <paramxx/ParFilename.h>

int testParFilename( int argc, char** argv, bool printIt ) {

  try {

    const char* foo = "/data/macabretmp/dj/paramxx/tests/testParFilename.par";
    ParFilename parFilename( argc, argv, foo );
    TESTSTRING( "Test ParFilename", parFilename.get_filename( ).c_str(), "/data/macabretmp/dj/paramxx/tests/testParFilename.par" );

    if ( printIt )
      cout << parFilename;

  } catch( ParFileException& pfe ) {

    cerr << pfe;
    return EXIT_FAILURE;
    exit( 1 );

  } catch ( Exception & e ) {

    cerr << e;
    return EXIT_FAILURE;

  } catch( ... ) {

    cerr << "testParFilename( ) : Unknown exception thrown\n";
    return EXIT_FAILURE;

  }

  return 0;

}
